============================
2011/--/--: Version 1.1.0
============================
- Add list block


modinfo.php
_MI_EXTGAL_B_LIST (added)

blocks.php
_MB_EXTGALLERY_DISPLAY_DATE (added)
_MB_EXTGALLERY_DISPLAY_HITS (added)
_MB_EXTGALLERY_DISPLAY_RATE (added)

_MB_EXTGALLERY_OVERLAY_HEIGHT (removed)
============================
2010/--/--: Version 1.0.9
============================

- 5.3.0 Assigning the return value of new by reference is deprecated PHP 5.3 (davidenprossi)
- Support XOOPS 2.5.x and PHP 5.3.x (davidenprossi)
- Add Form Options - Eneabled both Description & Extra Field for html input In options HTML has to be enabled.
	enable_rating, enable_info, enable_resolution, enable_download, enable_date
	enable_ecards, enable_submitter_lnk, enable_photo_hits 
	(davidenprossi)
- Add Preferences Options for xoopseditor selection and some info enable/disable view (davidenprossi)
- Add new lang constants for added Preferences Options in languages/english/modinfo.php (davidenprossi)
- Add new options for template display (davidenprossi) 
- Display ecards (davidenprossi)
- changed all themes from using: title="<{$photo.photo_desc}>" to title="<{$photo.photo_title}>" (davidenprossi)
- fixed no title no desc on standard UPLOAD now when title and desc are added they will be saved (davidenprossi)
- on Batch upload file name will be parsed and inserted into the title (davidenprossi)
- fixed many other minor issues (davidenprossi)
- Changed $ to moo in mootools-1.2.1.js and in slideshow libs for jquery compatability issues for xoops 2.5.0 (davidenprossi)
- Add wysiwyg editors from xoopseditors (davidenprossi)
- Add display set order (voltan)
- Menu generated by system module (mageg - voltan)
- Add icons for menus (voltan)
- Change module template type like new system module (voltan)
- Add Ajax effects for show photos in public-album : lightbox , overlay , tooltip , fansybox , prettphoyo and normal (voltan)
- Add Ajax effects for show photos in public-useralbum : lightbox , overlay , tooltip , fansybox , prettphoyo and normal (voltan)
- Add Ajax effects for show photos in Photo View block : lightbox , overlay , tooltip , fansybox , prettphoyo , jcarousel and normal (voltan)
- Add Ajax effects for slideshow page : Gallery , galleria , microGallery , galleriffic (voltan - goffy)
- Add Ajax effects for slideshow block : Gallery , galleria , microGallery (voltan)
- Fix bug : Block Top Submiter don't have block options and name (voltan)
- Add album page in admin area for manage album effect options (voltan)
- Change slideshow script from mootools to jquery and add some scripts and options (voltan)
- Add jQuery enables/disables (voltan)
- Add Bookmarkme and Social network (voltan)
- Add sort photo (Burning)
- Move Number of Columns and Number of Lines setting to Album page (voltan)
- Add DISPLAY PUBLICATION DATE (MAGE - voltan - davidenprossi)
- Change cat_weight in db from tinyint(4) to int(11) (voltan)
- Add tag module support (voltan)
- Add check photo_approved class/photoHandler.php for get photo information (voltan)
- Add rss output for new photos (voltan)
- Add option for max photo size for upload (voltan)
- Upload original photo whit out watermark and border
modinfo.php
_MI_EXTGAL_DISP_SET_ORDER (added)
_MI_EXTGAL_DISP_SET_ORDER_DESC (added)
_MI_EXTGALLERY_DESC (added)
_MI_EXTGALLERY_ASC (added)
_MI_EXTGAL_B_SUB (added)
_MI_EXTGAL_B_AJAX (added)
_MI_EXTGAL_FORM_OPTIONS (added)
_MI_EXTGAL_FORM_OPTIONS_DESC (added)
_MI_EXTGAL_ENABLE_INFO (added)
_MI_EXTGAL_ENABLE_INFO_DESC (added)
_MI_EXTGAL_ENABLE_ECARDS (added)
_MI_EXTGAL_ENABLE_ECARDS_DESC (added)
_MI_EXTGAL_ENABLE_PHOTO_HITS (added)
_MI_EXTGAL_ENABLE_PHOTO_HITS_DESC (added)
_MI_EXTGAL_ENABLE_SUBMITTER_LNK (added)
_MI_EXTGAL_ENABLE_SUBMITTER_LNK_DESC (added)
_MI_EXTGAL_ENABLE_RESOLUTION (added)
_MI_EXTGAL_ENABLE_RESOLUTION_DESC (added)
_MI_EXTGAL_ENABLE_DATE (added)
_MI_EXTGAL_ENABLE_DATE_DESC (added)
_MI_EXTGAL_ENABLE_DOWNLOAD (added)
_MI_EXTGAL_ENABLE_DOWNLOAD_DESC (added)
_MI_EXTGAL_ENABLE_DOWNLOAD (added)
_MI_EXTGAL_ENABLE_DOWNLOAD_DESC (added)
_MI_EXTGAL_INFO_VIEW (added)
_MI_EXTGAL_INFO_VIEW_DESC (added)
_MI_EXTGAL_INFO_BOTH (added)
_MI_EXTGAL_INFO_ALBUM (added)
_MI_EXTGAL_INFO_PHOTO (added)
_MI_EXTGAL_INFO_PUBUSR (added)
_MI_EXTGAL_INFO_PUBUSR_DESC (added)
_MI_EXTGAL_INFO_PUBLIC (added)
_MI_EXTGAL_INFO_USER (added)
_MI_EXTGALLERY_ALBUM (added)
_MI_EXTGAL_JQUERY (added)
_MI_EXTGAL_JQUERY_DESC (added)
_MI_EXTGAL_SOCIAL (added)
_MI_EXTGAL_SOCIAL_DESC (added)
_MI_EXTGAL_NONE (added)
_MI_EXTGAL_SOCIALNETWORM (added)
_MI_EXTGAL_BOOKMARK (added)
_MI_EXTGAL_BOTH (added)
_MI_EXTGAL_B_TAG_CLOUD (added)
_MI_EXTGAL_B_TOP_TAG (added)
_MI_EXTGAL_TAG (added)
_MI_EXTGAL_TAG_DESC (added)
_MI_EXTGAL_SHOW_RSS (added)
_MI_EXTGAL_SHOW_RSS_DESC (added)
_MI_EXTGAL_PERPAGEـRSS (added)
_MI_EXTGAL_PERPAGEـRSSـDSC (added)
_MI_EXTGAL_TIMECACHEـRSS (added)
_MI_EXTGAL_TIMECACHEـRSSـDSC (added)
_MI_EXTGAL_LOGOـRSS (added)
_MI_EXTGAL_PREFERENCE_BREAK_GENERAL (added)
_MI_EXTGAL_PREFERENCE_BREAK_PHOTO (added)
_MI_EXTGAL_PREFERENCE_BREAK_INFO (added)
_MI_EXTGAL_PREFERENCE_BREAK_ADMIN (added)
_MI_EXTGAL_PREFERENCE_BREAK_RSS (added)
_MI_EXTGAL_PREFERENCE_BREAK_GRAPHLIB (added)
_MI_EXTGAL_PREFERENCE_BREAK_COMNOTI (added)
_MI_EXTGAL_MAX_SIZE (added)
_MI_EXTGAL_MAX_SIZE_DESC (added)

_MI_EXTGAL_SAVE_ORIG_DESC (change)

main.php
_MD_EXTGALLERY_PREVIEW Preview to Previous changed
_MD_EXTGALLERY_BOOKMARK_ME (added)
_MD_EXTGALLERY_BOOKMARK_TO_BLINKLIST (added)
_MD_EXTGALLERY_BOOKMARK_TO_DELICIOUS (added)
_MD_EXTGALLERY_BOOKMARK_TO_DIGG (added)
_MD_EXTGALLERY_BOOKMARK_TO_FARK (added)
_MD_EXTGALLERY_BOOKMARK_TO_FURL (added)
_MD_EXTGALLERY_BOOKMARK_TO_NEWSVINE (added)
_MD_EXTGALLERY_BOOKMARK_TO_REDDIT (added)
_MD_EXTGALLERY_BOOKMARK_TO_SIMPY (added)
_MD_EXTGALLERY_BOOKMARK_TO_SPURL (added)
_MD_EXTGALLERY_BOOKMARK_TO_YAHOO (added)
_MD_EXTGALLERY_BOOKMARK_TO_FACEBOOK (added)
_MD_EXTGALLERY_BOOKMARK_TO_TWITTER (added)
_MD_EXTGALLERY_BOOKMARK_TO_SCRIPSTYLE (added)
_MD_EXTGALLERY_BOOKMARK_TO_STUMBLE (added)
_MD_EXTGALLERY_BOOKMARK_TO_TECHNORATI (added)
_MD_EXTGALLERY_BOOKMARK_TO_MIXX (added)
_MD_EXTGALLERY_BOOKMARK_TO_MYSPACE (added)
_MD_EXTGALLERY_BOOKMARK_TO_DESIGNFLOAT (added)
_MD_EXTGALLERY_BOOKMARK_TO_BALATARIN (added)
_MD_EXTGALLERY_BOOKMARK_TO_GOOLGEBUZZ (added)
_MD_EXTGALLERY_BOOKMARK_TO_GOOLGEREADER (added)
_MD_EXTGALLERY_BOOKMARK_TO_GOOLGEBOOKMARKS (added)
_MD_EXTGALLERY_ORDERBY (added)
_MD_EXTGALLERY_ORDERBY_DATEASC (added)
_MD_EXTGALLERY_ORDERBY_DATEDESC (added)
_MD_EXTGALLERY_ORDERBY_TITREASC (added)
_MD_EXTGALLERY_ORDERBY_TITREDESC (added)
_MD_EXTGALLERY_ORDERBY_HITSASC (added)
_MD_EXTGALLERY_ORDERBY_HITSDESC (added)
_MD_EXTGALLERY_ORDERBY_NOTEASC (added)
_MD_EXTGALLERY_ORDERBY_NOTEDESC (added)
_MD_EXTGALLERY_SORTDATE (added)
_MD_EXTGALLERY_SORTDATEASC (added)
_MD_EXTGALLERY_SORTDATEDESC (added)
_MD_EXTGALLERY_SORTNAME (added)
_MD_EXTGALLERY_SORTNAMEASC (added)
_MD_EXTGALLERY_SORTNAMEDESC (added)
_MD_EXTGALLERY_SORTHITS (added)
_MD_EXTGALLERY_SORTHITSASC (added)
_MD_EXTGALLERY_SORTHITSDESC (added)
_MD_EXTGALLERY_SORTNOTE (added)
_MD_EXTGALLERY_SORTNOTEASC (added)
_MD_EXTGALLERY_INFODATE (added)
_MD_EXTGALLERY_GFIC_DOWNLOAD (added)
_MD_EXTGALLERY_GFIC_PLAY (added)
_MD_EXTGALLERY_GFIC_PAUSE (added)
_MD_EXTGALLERY_GFIC_NEXT (added) 
_MD_EXTGALLERY_GFIC_PREVIOUS (added)
_MD_EXTGALLERY_GFIC_NEXTP (added) 
_MD_EXTGALLERY_GFIC_PREVIOUSP (added)
_AM_EXTGALLERY_GVIEW_CONF (added)
_AM_EXTGALLERY_GRIA_CONF (added)
_AM_EXTGALLERY_GFIC_CONF (added)
_AM_EXTGALLERY_SLIDESHOW_ENABLE (added)
_AM_EXTGALLERY_OVERLAY_CONF (added)
_AM_EXTGALLERY_TOOLTIP_CONF (added)
_AM_EXTGALLERY_FANCYBOX_CONF (added)
_AM_EXTGALLERY_PRETTPHOTO_CONF (added)
_AM_EXTGALLERY_ALBUM_ENABLE (added)
_MD_EXTGALLERY_MOREINFO (added)
_MD_EXTGALLERY_RSS (added)
_MD_EXTGALLERY_ALBUMRSS (added)

_AM_EXTGALLERY_SLIDESHOW_NOT_ENABLE (change)

blocks.php
_MB_EXTGALLERY_USER_NUMBER (added)
_MB_EXTGALLERY_PANEL_WIDTH (added)
_MB_EXTGALLERY_PANEL_HEIGHT (added)
_MB_EXTGALLERY_FRAME_WIDTH (added)
_MB_EXTGALLERY_FRAME_HEIGHT (added)
_MB_EXTGALLERY_BACKGROUND (added)
_MB_EXTGALLERY_MOREINFO (added)
_MB_EXTGALLERY_TRANSITION_SPEED (added)
_MB_EXTGALLERY_TRANSITION_INTERVAL (added)
_MB_EXTGALLERY_OVERLAY_HEIGHT (added)
_MB_EXTGALLERY_OVERLAY_COLOR (added)
_MB_EXTGALLERY_OVERLAY_TEXT_COLOR (added)
_MB_EXTGALLERY_CAPTION_TEXT_COLOR (added)
_MB_EXTGALLERY_BORDER (added)
_MB_EXTGALLERY_OVERLAY_OPACITY (added)
_MB_EXTGALLERY_OVERLAY_FONT_SIZE (added)
_MB_EXTGALLERY_SELECT_THEME (added)
_MB_EXTGALLERY_LIGHT (added)
_MB_EXTGALLERY_DARK (added)
_MB_EXTGALLERY_CUSTOM (added)
_MB_EXTGALLERY_POSITION (added)
_MB_EXTGALLERY_BOTTOM (added)
_MB_EXTGALLERY_TOP (added)
_MB_EXTGALLERY_EASING (added)
_MB_EXTGALLERY_EASING_OP1 (added)
_MB_EXTGALLERY_EASING_OP2 (added)
_MB_EXTGALLERY_EASING_OP3 (added)
_MB_EXTGALLERY_EASING_OP4 (added)
_MB_EXTGALLERY_EASING_OP5 (added)
_MB_EXTGALLERY_SHOW_TYPE (added)
_MB_EXTGALLERY_TYPE_OP1 (added)
_MB_EXTGALLERY_TYPE_OP2 (added)
_MB_EXTGALLERY_TYPE_OP3 (added)
_MB_EXTGALLERY_TYPE_OP4 (added)
_MB_EXTGALLERY_TYPE_OP5 (added)
_MB_EXTGALLERY_USE_AJAX_EFFECTS (added)
_MB_EXTGALLERY_AJAX_NONE (added)
_MB_EXTGALLERY_AJAX_LIGHTBOX (added)
_MB_EXTGALLERY_AJAX_OVERLAY(added)
_MB_EXTGALLERY_AJAX_TOOLTIP (added)
_MB_EXTGALLERY_AJAX_FANCYBOX (added)
_MB_EXTGALLERY_AJAX_PRETTPHOTO (added)
_MB_EXTGALLERY_OVERLAY_BG (added)
_MB_EXTGALLERY_OVERLAY_WIDHT (added)
_MB_EXTGALLERY_TOOLTIP_WIDHT (added)
_MB_EXTGALLERY_TOOLTIP_BORDER_WIDHT (added)
_MB_EXTGALLERY_TOOLTIP_BORDERCOLOR (added)
_MB_EXTGALLERY_FANCYBOX_BGCOLOR (added)
_MB_EXTGALLERY_FANCYBOX_OPACITY (added)
_MB_EXTGALLERY_FANCYBOX_TIN (added)
_MB_EXTGALLERY_FANCYBOX_NONE (added)
_MB_EXTGALLERY_FANCYBOX_ELASTIC (added)
_MB_EXTGALLERY_FANCYBOX_TOUT (added)
_MB_EXTGALLERY_FANCYBOX_NONE (added)
_MB_EXTGALLERY_FANCYBOX_ELASTIC (added)
_MB_EXTGALLERY_FANCYBOX_TITLEPOSITION (added)
_MB_EXTGALLERY_FANCYBOX_OVER (added)
_MB_EXTGALLERY_FANCYBOX_INSIDE (added)
_MB_EXTGALLERY_FANCYBOX_OUTSIDE (added)
_MB_EXTGALLERY_FANCYBOX_SHOWTYPE (added)
_MB_EXTGALLERY_FANCYBOX_SINGLE (added)
_MB_EXTGALLERY_FANCYBOX_GROUP (added)
_MB_EXTGALLERY_PRETTPHOTO_SPEED (added)
_MB_EXTGALLERY_PRETTPHOTO_FAST (added)
_MB_EXTGALLERY_PRETTPHOTO_SLOW (added)
_MB_EXTGALLERY_PRETTPHOTO_THEME  (added)
_MB_EXTGALLERY_PRETTPHOTO_THEME1 (added)
_MB_EXTGALLERY_PRETTPHOTO_THEME2 (added)
_MB_EXTGALLERY_PRETTPHOTO_THEME3 (added)
_MB_EXTGALLERY_PRETTPHOTO_THEME4 (added)
_MB_EXTGALLERY_PRETTPHOTO_THEME5 (added)
_MB_EXTGALLERY_PRETTPHOTO_SLIDESPEED (added)
_MB_EXTGALLERY_GVIEW (added)
_MB_EXTGALLERY_GRIA (added)
_MB_EXTGALLERY_GRIA_WIDTH (added)
_MB_EXTGALLERY_GRIA_HEIGHT (added)
_MB_EXTGALLERY_GRIA_BGCOLOR (added)
_MB_EXTGALLERY_GRIA_BCOLOR (added)
_MB_EXTGALLERY_GRIA_BGIMG (added)
_MB_EXTGALLERY_GRIA_BGIMG_OP1 (added)
_MB_EXTGALLERY_GRIA_BGIMG_OP2 (added)
_MB_EXTGALLERY_GRIA_AUTOPLAY (added)
_MB_EXTGALLERY_GRIA_TRANS (added)
_MB_EXTGALLERY_GRIA_TRANS_TYP1 (added)
_MB_EXTGALLERY_GRIA_TRANS_TYP2 (added)
_MB_EXTGALLERY_GRIA_TRANS_TYP3 (added)
_MB_EXTGALLERY_GRIA_TRANS_TYP4 (added)
_MB_EXTGALLERY_GRIA_TRANS_TYP5 (added)
_MB_EXTGALLERY_GRIA_TSPEED (added)
_MB_EXTGALLERY_TRUE (added)
_MB_EXTGALLERY_FALSE (added)
_MB_EXTGALLERY_JQUERY (added)
_MB_EXTGALLERY_AJAX_JCAROUSEL (added)
_MB_EXTGALLERY_JCAROUSEL_HWIDTH (added)
_MB_EXTGALLERY_JCAROUSEL_VWIDTH (added)
_MB_EXTGALLERY_JCAROUSEL_VHIGHT (added)
_MB_EXTGALLERY_MICRO (added)
_MB_EXTGALLERY_MICRO_SIZE (added)
_MB_EXTGALLERY_MICRO_SIZE_OP1 (added)
_MB_EXTGALLERY_MICRO_SIZE_OP2 (added)
_MB_EXTGALLERY_MICRO_SIZE_OP3 (added)

_MB_EXTGALLERY_SLIDESHOW_DELAY (removed)
_MB_EXTGALLERY_SLIDESHOW_DURATION (removed)
_MB_EXTGALLERY_SLIDESHOW_CONF (removed)
_MB_EXTGALLERY_TRANSTYPE (removed)
_MB_EXTGALLERY_DEFAULT (removed)
_MB_EXTGALLERY_FOLD (removed)
_MB_EXTGALLERY_KENBURNS (removed)
_MB_EXTGALLERY_PUSH (removed)
_MB_EXTGALLERY_EFFECT_TYPE (removed)
_MB_EXTGALLERY_QUAD (removed)
_MB_EXTGALLERY_CUBIC (removed)
_MB_EXTGALLERY_QUART (removed)
_MB_EXTGALLERY_QUINT (removed)
_MB_EXTGALLERY_EXPO (removed)
_MB_EXTGALLERY_CIRC (removed)
_MB_EXTGALLERY_SINE (removed)
_MB_EXTGALLERY_BACK (removed)
_MB_EXTGALLERY_BOUNCE (removed)
_MB_EXTGALLERY_ELASTIC (removed)
_MB_EXTGALLERY_EFFECT_OPTION (removed)
_MB_EXTGALLERY_IN (removed)
_MB_EXTGALLERY_OUT (removed)
_MB_EXTGALLERY_INOUT (removed)
_MB_EXTGALLERY_SS_THUMB (removed)
_MB_EXTGALLERY_SS_CAPTION (removed)
_MB_EXTGALLERY_SLIDESHOW_NUMBER (removed)
_MB_EXTGALLERY_NB_PHOTO_BY_SLIDESHOW (removed)

admin.php
_AM_EXTGALLERY_SELECT_PERM (added)
_AM_EXTGALLERY_SELECT_PERM_DESC (added)
_AM_EXTGALLERY_USE_AJAX_EFFECTS (added)
_AM_EXTGALLERY_USE_AJAX_EFFECTS_DESC (added)
_AM_EXTGALLERY_AJAX_NONE (added)
_AM_EXTGALLERY_AJAX_LIGHTBOX (added)
_AM_EXTGALLERY_AJAX_OVERLAY (added) 
_AM_EXTGALLERY_AJAX_TOOLTIP (added)
_AM_EXTGALLERY_OVERLAY_BG (added)
_AM_EXTGALLERY_OVERLAY_WIDHT (added)
_AM_EXTGALLERY_OVERLAY_HEIGHT (added)
_AM_EXTGALLERY_TOOLTIP_WIDHT (added)
_AM_EXTGALLERY_TOOLTIP_BORDER_WIDHT (added)
_AM_EXTGALLERY_TOOLTIP_BORDERCOLOR (added)
_AM_EXTGALLERY_ALBUM_NOT_ENABLE (added)
_AM_EXTGALLERY_GVIEW_PANELWIDE (added)
_AM_EXTGALLERY_GVIEW_PANELHEIGHT (added)
_AM_EXTGALLERY_GVIEW_FARMEWIDTH (added)
_AM_EXTGALLERY_GVIEW_FARMEHEIGHT (added)
_AM_EXTGALLERY_GVIEW_TSPEED (added)
_AM_EXTGALLERY_GVIEW_TTERVAL (added)
_AM_EXTGALLERY_GVIEW_OPACITY (added)
_AM_EXTGALLERY_GVIEW_OVERLYAHEIGHT (added)
_AM_EXTGALLERY_GVIEW_OVERLAYFS (added)
_AM_EXTGALLERY_GVIEW_BORDERWIDTH (added)
_AM_EXTGALLERY_GVIEW_BORDERCOLOR (added)
_AM_EXTGALLERY_GVIEW_BGCOLOR (added)
_AM_EXTGALLERY_GVIEW_OVERLAYCOLOR (added)
_AM_EXTGALLERY_GVIEW_OVERLAYTC (added)
_AM_EXTGALLERY_GVIEW_CAPTIONTC (added)
_AM_EXTGALLERY_GVIEW_NAVTHEME (added)
_AM_EXTGALLERY_GVIEW_LIGHT (added)
_AM_EXTGALLERY_GVIEW_DARK (added)
_AM_EXTGALLERY_GVIEW_CUSTOM (added)
_AM_EXTGALLERY_GVIEW_POSITION (added)
_AM_EXTGALLERY_GVIEW_BOTTOM (added)
_AM_EXTGALLERY_GVIEW_TOP (added)
_AM_EXTGALLERY_GVIEW_EASING (added)
_AM_EXTGALLERY_GVIEW_EASING_OP1 (added)
_AM_EXTGALLERY_GVIEW_EASING_OP2 (added)
_AM_EXTGALLERY_GVIEW_EASING_OP3 (added)
_AM_EXTGALLERY_GVIEW_EASING_OP4 (added)
_AM_EXTGALLERY_GVIEW_EASING_OP5 (added)
_AM_EXTGALLERY_USE_SLIDESHOW_EFFECTS (added)
_AM_EXTGALLERY_SLIDESHOW_GVIEW (added)
_AM_EXTGALLERY_SLIDESHOW_GRIA (added)
_AM_EXTGALLERY_SLIDESHOW_MICR (added)
_AM_EXTGALLERY_GRIA_HEIGHT (added)
_AM_EXTGALLERY_GRIA_PANELWIDTH (added)
_AM_EXTGALLERY_GRIA_BGCOLOR (added)
_AM_EXTGALLERY_GRIA_BCOLOR (added)
_AM_EXTGALLERY_GRIA_BGIMG (added)
_AM_EXTGALLERY_GRIA_BGIMG_OP1 (added)
_AM_EXTGALLERY_GRIA_BGIMG_OP2 (added)
_AM_EXTGALLERY_AJAX_FANCYBOX (added)
_AM_EXTGALLERY_FANCYBOX_BGCOLOR (added)
_AM_EXTGALLERY_FANCYBOX_OPACITY (added)
_AM_EXTGALLERY_FANCYBOX_TIN (added)
_AM_EXTGALLERY_FANCYBOX_TOUT (added)
_AM_EXTGALLERY_FANCYBOX_NONE (added)
_AM_EXTGALLERY_FANCYBOX_ELASTIC (added)
_AM_EXTGALLERY_FANCYBOX_TITLEPOSITION (added)
_AM_EXTGALLERY_FANCYBOX_OVER (added)
_AM_EXTGALLERY_FANCYBOX_INSIDE (added)
_AM_EXTGALLERY_FANCYBOX_OUTSIDE (added)
_AM_EXTGALLERY_FANCYBOX_SHOWTYPE (added)
_AM_EXTGALLERY_FANCYBOX_SINGLE (added)
_AM_EXTGALLERY_FANCYBOX_GROUP (added)
_AM_EXTGALLERY_AJAX_PRETTPHOTO (added)
_AM_EXTGALLERY_PRETTPHOTO_SPEED (added)
_AM_EXTGALLERY_PRETTPHOTO_FAST (added)
_AM_EXTGALLERY_PRETTPHOTO_SLOW (added)
_AM_EXTGALLERY_PRETTPHOTO_THEME (added)
_AM_EXTGALLERY_PRETTPHOTO_THEME1 (added)
_AM_EXTGALLERY_PRETTPHOTO_THEME2 (added)
_AM_EXTGALLERY_PRETTPHOTO_THEME3 (added)
_AM_EXTGALLERY_PRETTPHOTO_THEME4 (added)
_AM_EXTGALLERY_PRETTPHOTO_THEME5 (added)
_AM_EXTGALLERY_PRETTPHOTO_AUTOPLAY (added)
_AM_EXTGALLERY_PRETTPHOTO_AUTOPLAY_T (added)
_AM_EXTGALLERY_PRETTPHOTO_AUTOPLAY_F (added)
_AM_EXTGALLERY_PRETTPHOTO_SLIDESPEED (added)
_AM_EXTGALLERY_GRIA_AUTOPLAY (added)
_AM_EXTGALLERY_GRIA_TRANS (added)
_AM_EXTGALLERY_GRIA_TRANS_TYP1 (added)
_AM_EXTGALLERY_GRIA_TRANS_TYP2 (added)
_AM_EXTGALLERY_GRIA_TRANS_TYP3 (added)
_AM_EXTGALLERY_GRIA_TRANS_TYP4 (added)
_AM_EXTGALLERY_GRIA_TRANS_TYP5 (added)
_AM_EXTGALLERY_GRIA_TSPEED (added)
_AM_EXTGALLERY_GFIC_HEIGHT (added)
_AM_EXTGALLERY_GFIC_WIDTH (added)
_AM_EXTGALLERY_GFIC_BGCOLOR (added)
_AM_EXTGALLERY_GFIC_BCOLOR (added)
_AM_EXTGALLERY_GFIC_AUTOPLAY (added)
_AM_EXTGALLERY_GFIC_NB_THUMBS (added)
_AM_EXTGALLERY_GFIC_NB_COLTHUMBS (added)
_AM_EXTGALLERY_GFIC_NB_PRELOAD (added)
_AM_EXTGALLERY_EXTENTION_HOWTO (added)
_AM_EXTGALLERY_EXTENTION_DOWNLOAD (added)

_AM_EXTGALLERY_SLIDESHOW_DURATION (removed)
_AM_EXTGALLERY_SLIDESHOW_CONF (removed)
_AM_EXTGALLERY_TRANSTYPE (removed)
_AM_EXTGALLERY_DEFAULT (removed)
_AM_EXTGALLERY_FOLD (removed)
_AM_EXTGALLERY_KENBURNS (removed)
_AM_EXTGALLERY_PUSH (removed)
_AM_EXTGALLERY_EFFECT_TYPE (removed)
_AM_EXTGALLERY_QUAD (removed)
_AM_EXTGALLERY_CUBIC (removed)
_AM_EXTGALLERY_QUART (removed)
_AM_EXTGALLERY_QUINT (removed)
_AM_EXTGALLERY_EXPO (removed)
_AM_EXTGALLERY_CIRC (removed)
_AM_EXTGALLERY_SINE (removed)
_AM_EXTGALLERY_BACK (removed)
_AM_EXTGALLERY_BOUNCE (removed)
_AM_EXTGALLERY_ELASTIC (removed)
_AM_EXTGALLERY_EFFECT_OPTION (removed)
_AM_EXTGALLERY_IN (removed)
_AM_EXTGALLERY_OUT (removed)
_AM_EXTGALLERY_SS_THUMB (removed)
_AM_EXTGALLERY_SS_CAPTION (removed)
_AM_EXTGALLERY_SS_CONTROLLER (removed)

============================ 
2009/21/06: Version 1.0.8
============================

- Add plugin system
- Fix bug : Block slideshow call not available image that generate lot off 404 HTTP error
- Fix bug : Standard upload page black page after upload


============================
2009/18/02: Version 1.0.7
============================

- Fix bug : SlideShow don't work if photo description contains quotes
- Fix bug : HTML is displayed on slideshow if description contains HTML
- Fix bug : All XOOPS tag don't work if gallery extention is installed
- Fix bug : Uploaded photo could be not displayed if the filename contains special caracter. Only letter, digit, dot, upper and lower bar are allowed now
- Fix bug : Select standard upload don't work
- Fix bug : alt attribute isn't updated by caption value on slideshow
- Fix bug : Navigation don't work on photo page
- Fix bug : Edit/Delete photo don't work on admin page with a lot of photo
- Fix bug : Medium photo size is lower than defined on preferences if border isn't actived
- Fix bug : Photos file wasn't deleted when the photo is deleted or category is droped
- Optimize module memory usage to allow handling many categories. Work with php memory_limit parameter at 32 Mo and 962 categories
- Slideshow image link in block now redirect to image and not album if Display type is set to album in module preferences


============================
2009/06/01: Version 1.0.6
============================

- Fix bug : An image is displayed by default for slideshow now
- Fix bug : An image could be bigger than specified size if border is activated
- Fix bug : index.html file isn't adedd to all uploads directory
- Fix bug : Allowed memory size exhausted on photo pages when they are a lot of photo (thousand)
- Fix bug : Allowed memory size exhausted on admin Permissions page when they are a lot of category
- Fix bug : Error on installing top eCard slideShow block
- Add a new page to submit photo by batch from user side (use a Java applet that need Java 1.5 or higer. See http://jupload.sourceforge.net/ for more info)
- Change the upgrade script to display new version changelog and check if XOOPS version is supported by new module version


Lang var change :

admin.php
_AM_EXTGALLERY_CHANGELOG (added)
_AM_EXTGALLERY_EXTGALLERY_VERSION (added)

blocks.php
_MB_EXTGALLERY_ALL_CATEGORIES (added)

main.php
_MD_EXTGALLERY_APPLET_LANG (added)

modinfo.php
_MI_EXTGALLERY_ALBUM (added)
_MI_EXTGAL_EXT_UPLOAD (added)
_MI_EXTGAL_EXT_UPLOAD_DESC (added)
_MI_EXTGALLERY_EXTENDED (added)
_MI_EXTGALLERY_STANDARD (added)
_MI_EXTGAL_B_RAND_DESC (removed)
_MI_EXTGAL_B_LAST_DESC (removed)
_MI_EXTGAL_B_MOST_DESC (removed)
_MI_EXTGAL_B_TOPR_DESC (removed)
_MI_EXTGAL_B_TOPE_DESC (removed)
_MI_EXTGAL_B_RANDSS_DESC (removed)
_MI_EXTGAL_B_LASTSS_DESC (removed)
_MI_EXTGAL_B_MOSTSS_DESC (removed)
_MI_EXTGAL_B_TOPRSS_DESC (removed)
_MI_EXTGAL_B_TOPESS_DESC (removed)


============================
2008/17/12: Version 1.0.5
============================

- Fix bug : XOOPS version checker on index admin page don't work with XOOPS 2.3.x
- Fix bug : cannot redeclare adminmenu() when XoopsInfo or ThAdmin is installed
- Fix bug : Category not visible after upgrading to eXtGallery 1.0.4 or upper
- Add Slideshow for album pages (see http://www.electricprism.com/aeron/slideshow/)
  => Mootools 1.2 must be available on woll site
  => Slideshow don't work if cache is activated on Slideshow block or Slideshow album pages
- Add a feature to make a module update just by clicking on module admin side. The server will download, install files and update the module.
- Add extention to use Hook hack. This extention is inegrated to XOOPS editor
- Add a feature to rebuild thumb


Lang var change :

modinfo.php
_MI_EXTGALLERY_SLIDESHOW (added)
_MI_EXTGALLERY_EXTENTION (added)
_MI_EXTGAL_DISP_TYPE (added)
_MI_EXTGAL_DISP_TYPE_DESC (added)
_MI_EXTGAL_B_RAND (added)
_MI_EXTGAL_B_RAND_DESC (added)
_MI_EXTGAL_B_LAST (added)
_MI_EXTGAL_B_LAST_DESC (added)
_MI_EXTGAL_B_MOST (added)
_MI_EXTGAL_B_MOST_DESC (added)
_MI_EXTGAL_B_TOPR (added)
_MI_EXTGAL_B_TOPR_DESC (added)
_MI_EXTGAL_B_TOPE (added)
_MI_EXTGAL_B_TOPE_DESC (added)
_MI_EXTGAL_B_RANDSS (added)
_MI_EXTGAL_B_RANDSS_DESC (added)
_MI_EXTGAL_B_LASTSS (added)
_MI_EXTGAL_B_LASTSS_DESC (added)
_MI_EXTGAL_B_MOSTSS (added)
_MI_EXTGAL_B_MOSTSS_DESC (added)
_MI_EXTGAL_B_TOPRSS (added)
_MI_EXTGAL_B_TOPRSS_DESC (added)
_MI_EXTGAL_B_TOPESS (added)
_MI_EXTGAL_B_TOPESS_DESC (added)
_MI_EXTGAL_M_QUALITY (added)
_MI_EXTGAL_M_QUALITY_DESC (added)
_MI_EXTGAL_T_QUALITY (added)
_MI_EXTGAL_T_QUALITY_DESC (added)
_MI_EXTGAL_NB_COLUMN_DESC (changed)
_MI_EXTGAL_NB_LINE_DESC (changed)

admin.php
_AM_EXTGALLERY_SLIDESHOW_DELAY (added)
_AM_EXTGALLERY_SLIDESHOW_DURATION (added)
_AM_EXTGALLERY_SLIDESHOW_CONF (added)
_AM_EXTGALLERY_TRANSTYPE (added)
_AM_EXTGALLERY_DEFAULT (added)
_AM_EXTGALLERY_FOLD (added)
_AM_EXTGALLERY_KENBURNS (added)
_AM_EXTGALLERY_PUSH (added)
_AM_EXTGALLERY_EFFECT_TYPE (added)
_AM_EXTGALLERY_QUAD (added)
_AM_EXTGALLERY_CUBIC (added)
_AM_EXTGALLERY_QUART (added)
_AM_EXTGALLERY_QUINT (added)
_AM_EXTGALLERY_EXPO (added)
_AM_EXTGALLERY_CIRC (added)
_AM_EXTGALLERY_SINE (added)
_AM_EXTGALLERY_BACK (added)
_AM_EXTGALLERY_BOUNCE (added)
_AM_EXTGALLERY_ELASTIC (added)
_AM_EXTGALLERY_EFFECT_OPTION (added)
_AM_EXTGALLERY_IN (added)
_AM_EXTGALLERY_OUT (added)
_AM_EXTGALLERY_INOUT (added)
_AM_EXTGALLERY_SS_THUMB (added)
_AM_EXTGALLERY_SS_CAPTION (added)
_AM_EXTGALLERY_SS_CONTROLLER (added)
_AM_EXTGALLERY_UPDATE_INFO (added)
_AM_EXTGALLERY_UPDATE_UPGRADE (added)
_AM_EXTGALLERY_MD_FILE_DONT_EXIST (added)
_AM_EXTGALLERY_LG_FILE_DONT_EXIST (added)
_AM_EXTGALLERY_DOWN_DONE (added)
_AM_EXTGALLERY_INSTALL (added)
_AM_EXTGALLERY_MD_FILE_DONT_EXIST_SHORT (added)
_AM_EXTGALLERY_INSTALL_DONE (added)
_AM_EXTGALLERY_EXTENTION_INFO (added)
_AM_EXTGALLERY_EXTENTION_NOT_INSTALLED (added)
_AM_EXTGALLERY_INSTALL_EXTENTION (added)
_AM_EXTGALLERY_EXTENTION_OK (added)
_AM_EXTGALLERY_EXTENTION_NOTICE (added)
_AM_EXTGALLERY_EXT_FILE_DONT_EXIST (added)
_AM_EXTGALLERY_EXT_FILE_DONT_EXIST_SHORT (added)
_AM_EXTGALLERY_EXTENTION_INSTALLED (added)
_AM_EXTGALLERY_THUMB_REBUILDED (added)
_AM_EXTGALLERY_REBUILD_THUMB (added)
_AM_EXTGALLERY_REBUILD_THUMB_INFO (added)
_AM_EXTGALLERY_SLIDESHOW_NOT_ENABLE (added)

blocks.php
_MB_EXTGALLERY_SLIDESHOW_DELAY (added)
_MB_EXTGALLERY_SLIDESHOW_DURATION (added)
_MB_EXTGALLERY_SLIDESHOW_CONF (added)
_MB_EXTGALLERY_TRANSTYPE (added)
_MB_EXTGALLERY_DEFAULT (added)
_MB_EXTGALLERY_FOLD (added)
_MB_EXTGALLERY_KENBURNS (added)
_MB_EXTGALLERY_PUSH (added)
_MB_EXTGALLERY_EFFECT_TYPE (added)
_MB_EXTGALLERY_QUAD (added)
_MB_EXTGALLERY_CUBIC (added)
_MB_EXTGALLERY_QUART (added)
_MB_EXTGALLERY_QUINT (added)
_MB_EXTGALLERY_EXPO (added)
_MB_EXTGALLERY_CIRC (added)
_MB_EXTGALLERY_SINE (added)
_MB_EXTGALLERY_BACK (added)
_MB_EXTGALLERY_BOUNCE (added)
_MB_EXTGALLERY_ELASTIC (added)
_MB_EXTGALLERY_EFFECT_OPTION (added)
_MB_EXTGALLERY_IN (added)
_MB_EXTGALLERY_OUT (added)
_MB_EXTGALLERY_INOUT (added)
_MB_EXTGALLERY_SS_THUMB (added)
_MB_EXTGALLERY_SS_CAPTION (added)
_MB_EXTGALLERY_SLIDESHOW_NUMBER (added)
_MB_EXTGALLERY_NB_PHOTO_BY_SLIDESHOW (added)

extention.php (added file)

============================
2008/04/03: Version 1.0.4
============================

- Allow HTML for desc and extra field
- Display extra info when it's enabled
- Display category regarding upload perm on the upload form
- Add an hide feature for album. You could now have an user hidden album to put image for your site presentation

============================
2007/21/07: Version 1.0.3
============================

- Fix language constant issue on admin pages
- Display Warning message on watermarking conf page when Freetype isn't supported and disable Watermarking to don't have blank page error


============================
2007/06/07: Version 1.0.2
============================

- Fix bug : eCard counter updated twice for one sent
- Fix bug : error when using username for watermarking
- Fix bug : language constant wasn't use on admin side (permission page)
- Add a directory permission checker to display error message if eXtGallery photo directories isn't writable
- Add title for photos and choice to display or not (jbboschung)
- Add weight for photos. All request SQL order (new criteria : ASC) by weight now (jbboschung)
- Add image url for category and choice to display or not. Display image url witdh = 100 px. (jbboschung)
- Note : Image url is priority as 'Miniature' of category. If not image url, the 'Miniature' image was display.


============================
2006/26/11: Version 1.0.1
============================

- Fix bug : eCard not sent
- Add a new criteria order for category. Category name is used after weight
- Fix bug : blank page when an anonymous rate a photo
- Fix bug : only one anonymous user could rate a photo
- Fix bug : Medium photo not resized when border or watermark are enable
- Add 5 watermark position : Top center, Bottom center, Left center, Right center and Center center
- Add a check to filter only TTF font on the font folder and photo on the batch folder


============================
2006/05/11: Version 1.0.0
============================

- Add a function to remove accentuated characters in file name to fix non diplayed photo bug
- Fix blank page when a Anonymous user submit a photo
- Fix a blank page when approve or delete a pending photo


============================
2006/25/10: Version 0.1.8
============================

- Fix a blank page bug on public-viewecard page
- Add a redirect on Edit/Delete photo if they aren't photo in this category
- Change the default watermark position
- Add an option for enable or disable rating feature
- Add admin links on photo page
- Fix a blank page when modify a photo by the public side without changing photo category
- Add an error message when an user try to vote for an already rated photo
- Modify the image captcha (send eCard) to make it more readable


============================
2006/11/10: Version 0.1.7
============================

- Fix a bug that allow access to restricted album by access it directly
- Fix a bug in synchronize method count
- Add the feature to view all photo submitted by one user
- Fix a bug that allow access to photo in restricted album by access it directly
- Fix an error on watermark/border page
- Move the "Upload public" sub menu link to language file
- Refactor the table header language on index and public-categories pages
- Fix a bug that allow access to unapproved photo by access it directly
- Add test to prevent error when form are submitted with wrong argument

============================
2006/08/10: Version 0.1.6
============================

- Fix error when delete only one pending photo on admin side
- Fix blank page on watermark configuration page
- Fix "Sorry you don't have permission ..." error when sumiting an eCard
- Add a check on module install for eXtGallery uploads directory
- Fix weight don't sav when a category was created
- Fix photo counter isn't updated when a photo is added on the user side
- Fix photo and album counter bug
- Fix Javascript error when edit photo on admin side
- Fix a mistake on display preferences page
- Performance optimization on photo treatment
- Add an onUpdate function to synchronize the database on module update
- Fix "File size too large" error when uploading photo


============================
2006/01/10: Version 0.1.5
============================

- Fix typo bug on Admin Permissions page
- Add redirection message on admin side
- Fix blank page error when an Anonymous try to send an eCard
- Add a "weight" property to category
- Add watermark feature, now you can choose to display text or submitter user name on watermark
- Fix wrong module name on breadcumb
- Fix a bug on the update rating counter
- Add a check to prevent Maximum execution time exceeded when photo is added by batch
- Display the number of album and photo of each category
- Fix wrong language string on eCard
- Fix a bug with IE. Now, parent category isn't displayed on the category select with IE
